Instala el kernel 4.14.13 para combatir a Meltdown

Con los recientes problemas de seguridad generados las últimas semanas con respecto a los ataques Meltdown y Spectre, las grandes compañías de software se han puesto a trabajar bastante para buscar y dar solución a esto.

Por su parte en Linux, ya contamos con las primeras correcciones que solución estos graves fallos de seguridad, por lo que debemos de darnos a la tarea de actualizar el Kernel de nuestro sistema para estar protegidos.

En esta nueva versión de mantenimiento del Kernel de Linux lo más destacable de esto son los parches que frenan los ataques de Meltdown y Spectre, por otro lado trabajaron en evitar los problemas de desbordamiento de memoria, así como asignación de esta.

¿Cómo instalar la versión de mantenimiento del Kernel 4.14.13 de Linux en Ubuntu 17.10?

Sin más lo único que puedo decir es que esta versión es sumamente importante tenerla en nuestro sistema, ya que es la solución a los problemas de seguridad que están actualmente.

Cabe mencionar que el proceso aquí descrito es válido no solo para Ubuntu, también lo podemos realizar en Linux Mint, Elementary OS, Zorin OS y cualquier otro sistema derivado de Ubuntu.

Para versiones de 32 bits, abrimos una terminal y ejecutamos lo siguiente:

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413_4.14.13-041413.201801101001_all.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413-generic_4.14.13-041413.201801101001_i386.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-image-4.14.13-041413-generic_4.14.13-041413.201801101001_i386.deb

Ya hecho esto, instalamos los paquetes antes descargados con lo siguiente:

sudo dpkg -i linux-headers-4.14.13*.deb linux-image-4.14.13*.deb

Ahora para los sistemas de 64 bits, descargamos estos paquetes:

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413_4.14.13-041413.201801101001_all.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-image-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb

Y finalmente instalamos con el siguiente comando:

sudo dpkg -i linux-headers-4.14.13*.deb linux-image-4.14.13*.deb

Finalmente solo tendremos que reiniciar el equipo para los cambios surtan efecto y al momento de que estemos en el Grub, debemos asegurarnos que se inicie el sistema con el nuevo kernel.

Ahora si eres novato puedes evitar hacerlo de manera manual, puedes usar esta herramienta que te puede ayudar a hacerlo por ti, el enlace es este.


13 comentarios

  1.   Giovanni Gapp dijo

    Y el error del bios para cuando lo reparan o simplemente nos dirán no hay solución y se lavan las manos?

    1.    David Yeshael dijo

      El error ya fue corregido

      1.    Hector Moreau dijo

        Buenas tardes David.

        Comentas que el error ya fue corregido, pero se supone que habilitaban la descarga el 11/01, pero hasta la fecha nada. Tampoco se da alguna explicación, ni en ubunlog, ni en ogm! ubuntu!, ni en la pagina oficial de Ubuntu.

  2.   Josep Pujadas-Jubany dijo

    Esta versión de kernel está colgando todos los portátiles en nuestro Instituto. Hemos tenido que deshabilitar las actualizaciones de Lubuntu 16.04 LTS 64 bit.
    En casa, en mi sobremesa, funciona. Pero cuelga el equipo cuando abro mi viejo Windows XP virtualizado con VirtualBox. Más información en:
    https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1742626

    1.    Josep Pujadas-Jubany dijo

      ¡Horror!
      En su día, me refería al 4.13.0-26 (el último oficial) para la 16.04 LTS HWE. Y ahora veo que el artículo decía 4.14.13.
      ¡Disculpas!
      https://insights.ubuntu.com/2018/01/12/meltdown-and-spectre-status-update/

  3.   Saito dijo

    Yo estoy con Kubuntu 16.04.3 y el kernel 4.13.0-26, todo parcheado y funcionando perfectamente (ningún error o bug importante), no obstante debo decir que tengo los mismos problemas que todos con VirtualBox: aunque a mí no se me muere el sistema, simplemente el consumo del cpu asciende a más del 75% y pasado un par de minutos unicamente VirtualBox deja de funcionar y no siempre.

  4.   ingemar dijo

    Me sale este mensaje: bash: error sintáctico cerca del elemento inesperado `newline’, lo anterior al momento de dar enter al primer paquete correspondiente a sistemas basados en 64 bits ¿Cómo corrijo esto para instalar los paquetes en Ubuntu 17.10? Saludos!

    1.    Josep Pujadas-Jubany dijo

      Oracle VirtualBox 5.2 funciona

      https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1736116/comments/23

  5.   Gonzalo dijo

    Seguramente tendrán que actualizar VirtualBox para que se adapte a esta actualización del kernel

  6.   Hector Moreau dijo

    Que esta pasando con Canonical y Ubuntu?

    Como no se puede usar ubuntu 17.10, volvi a ubuntu 16.04.03. Pero despues de instalar y actualizar, entre otras cosas se actualizo el kernel de 4.10 a 4.13. Cuando reinicio el pc, no pude buscar los programas, porque el inicio de ubuntu se bloqueo y al dar click en el, se reiniciaba la pantalla y no hubo manera de trabajar normalmente. En otras palabras, todo el dock se bloqueo, solo podia trabajar por terminal.

    Mi Notebook es un HP Pavilion DV5-2247la. Procesador Intel Core i5-480M a 2,66 GHz, 3 MB de caché de nivel 3, 2 DIMM DDR3 con 8 GB, Intel HD Graphics con memoria total de gráficos hasta 1696 MB, Disco duro de 640 GB (5400 RPM).

    1.    Josep Pujadas-Jubany dijo

      Si estás con 16.04 LTS HWE (16.04.03) el último kernel oficial es el 4.13.0-31. En mi trabajo está funcionando bien en los equipos que tienen más de 2 años. En los más nuevos tenemos problemas de asignación de IRQs.

      https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1742626
      https://bugzilla.kernel.org/show_bug.cgi?id=194945#c84

      En el menú de grub, opciones avanzadas podrás arrancar con 4.10. Y después puedes instalar grub-customizer para fijar el arranque a 4.10.

      http://ubuntuhandbook.org/index.php/2016/04/install-grub-customizer-ubuntu-16-04-lts/

      Tenemos equipos con 4.10 (es la primera medida que tomamos) y desde ayer equipos con 4.14.15, http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.15/

      “¿Qué está pasando con Canonical y Ubuntu?

      No es un problema de ellos. Es un tema general, que afecta a todos los sistemas operativos. Nuestro proveedor de equipos me comentó hace un par de días que tiene muchos equipos No-Linux que no arrancar después de actualizarse.

      ¡Suerte!

  7.   Pierre Aribaut dijo

    Hola, se puede usar el kernel 4.14.13 con Linux Mint 18.3 ?

    1.    Josep Pujadas-Jubany dijo

      Debería ir. Es un Ubuntu Xenial (16.04), https://linuxmint.com/download_all.php

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.